Skip to main content
GET
List Phone Numbers Page

Headers

x-api-key
string | null

Your API key for programmatic access. Send it in the x-api-key header; you can create and manage keys from the Developers page.

Query Parameters

page_size
integer
default:100

Number of phone numbers per page

Required range: 1 <= x <= 1000
search
string | null

Filter by phone number ID, label, or phone number. A phone number ID must match exactly; label and phone number matching is a case-insensitive substring.

Maximum string length: 100
label
string | null

Filter by label. Matching is a case-insensitive substring.

Maximum string length: 100
phone_number
string | null

Filter by phone number

Maximum string length: 100
provider
enum<string> | null

Filter by telephony provider

Available options:
twilio,
sip_trunk,
exotel
supports_outbound
boolean | null

Filter by whether the phone number can place outbound calls

agent_id
string | null

Filter by assigned agent ID

branch_id
string | null

Filter by assigned branch ID

sort_by
enum<string> | null

The field to sort the results by

Available options:
label,
phone_number
sort_direction
enum<string>
default:asc

The direction to sort the results

Available options:
asc,
desc
cursor
string | null

Used for fetching next page. Cursor is returned in the response.

Response

Successful Response

phone_numbers
(GetPhoneNumberTwilioResponseModel · object | GetPhoneNumberExotelResponseModel · object | GetPhoneNumberSIPTrunkResponseModel · object)[]
required

The phone numbers on this page

Example:
next_cursor
string | null

Pass this value as cursor to fetch the next page. Null when there are no more results.

has_more
boolean
default:false

Whether there are more results available